summarylogtreecommitdiffstats
path: root/make.install
diff options
context:
space:
mode:
Diffstat (limited to 'make.install')
-rw-r--r--make.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/make.install b/make.install
new file mode 100644
index 00000000000..84260853ced
--- /dev/null
+++ b/make.install
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(make.info make.info-1 make.info-2)
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}